Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05593 Graphics Minor Always May 28, 2014, 15:34 Jul 29, 2015, 17:43
Tester haynor666 View Status Public Platform MAME (Official Binary)
Assigned To system11 Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver thunderx.cpp
Version 0.153 Fixed in Version 0.164 Build 64-bit
Summary 05593: scontra scontraj: in mame screen is cut 8 pixels too much on the lower part of screen
Description Comparing with real PCB in some places (in game, title screen) whole screen is a bit wider (It's probably 8 lines).
Steps To Reproduce
Additional Information my TV does NOT correctly draw from left side (I mean horizontal position of TV), it always cuts from 1 do 16 lines (depends on resolution and frequency), I don't know why but this also happens on some other pcbs. This means that starting point in mame is probably good, probably mame is missing last 8 pixels.
Flags Verified with Original
Regression Version
Affected Sets / Systems scontra scontraj
Attached Files
png file icon ingame_mame.png (28,882 bytes) May 28, 2014, 15:35 Uploaded by haynor666
haynor666
jpg file icon ingame_pcb.jpg (713,060 bytes) May 28, 2014, 15:35 Uploaded by haynor666
haynor666
jpg file icon ingame2_pcb.jpg (857,996 bytes) May 28, 2014, 15:36 Uploaded by haynor666
png file icon title_mame.png (43,237 bytes) May 28, 2014, 15:37 Uploaded by haynor666
haynor666
jpg file icon title_pcb.jpg (872,996 bytes) May 28, 2014, 15:38 Uploaded by haynor666
png file icon 224x320_test.png (16,159 bytes) May 30, 2014, 06:48 Uploaded by Mamesick
Mamesick
png file icon 224x320_title.png (26,588 bytes) May 30, 2014, 06:51 Uploaded by Mamesick
Mamesick
Relationships
There are no relationsihp linked to this issue.
Notes
12
User avatar
No.10743
Mamesick
Senior Tester
May 30, 2014, 06:42
edited on: May 30, 2014, 06:53
To match your screenshots of the PCb we have to add 16 pixels to the top and the bottom. So a visible area of 224x320. If less, the test mode grid is badly cut. Your TV here seems to remove the first 8-16 pixels at the top.

Though, notice the 8 pixels black row in the title screen at the top. During game, they are drawn.....

User avatar
No.10744
AWJ
Developer
May 30, 2014, 10:41
I suspect that the Konami 052109/051962 chipset always outputs 320 pixels and that games "fake" a smaller screen area by putting columns of opaque black tiles at the edges of the screen on the fixed layer... similar to NeoGeo.
User avatar
No.10746
haynor666
Tester
May 30, 2014, 13:25
edited on: May 30, 2014, 13:59
Similiar problem is with Ajax -


On wideo graphics is above highscore and below weapon bar. For test I extended in source visible area from 288 to 304 lines and game draws in this area.

Recently Alex Jackson also extended visible area in 88games.c from 304 lines to 320 lines.

User avatar
No.10755
haynor666
Tester
Jun 3, 2014, 13:11
It seems Alex Jackson is updating various Konami drivers. Could anyone inform him about recent bugs/discovered issues ?
User avatar
No.10756
Mamesick
Senior Tester
Jun 3, 2014, 14:54
I believe AWJ already know this issue. He replied to this thread. My changes to visible area are correct, the video chipsets displays that area entirely. Though what happens on the edges (top and bottom) has to be verified. Sometimes you see black bars, sometimes garbage....
User avatar
No.10757
haynor666
Tester
Jun 3, 2014, 16:14
edited on: Jun 3, 2014, 16:31
Ok, thanks. Good to know that Alex Jackson is AWJ :]

BTW. In Asterix source says that main CPU is 24 MHz/2. Indeed there are two oscillators (close to motorola i 24 MHz and second is near Yamaha YM2151 is 32 MHz) but on Motorola is written MC68000P12F 16 MHZ QEMF9040. Is it really 16 MHz or motorola works on lower clock ?

User avatar
No.10831
haynor666
Tester
Jul 4, 2014, 11:13
Yesterday I've made another test with flip switch. Indeed it cut more than 8 pixels also from upper side of screen.
User avatar
No.11835
haynor666
Tester
Jul 5, 2015, 10:41
edited on: Jul 5, 2015, 10:43
Related to MT05973 and MT05594 and MT5658

User avatar
No.11837
system11
Senior Tester
Jul 5, 2015, 17:35
Can verify definitely incorrect on my monitor/pcbs- also affects Thundercross and (almost certainly) Gang Busters

Corrected in:
https://github.com/mamedev/mame/pull/239
User avatar
No.11838
haynor666
Tester
Jul 5, 2015, 18:50
edited on: Jul 5, 2015, 18:52
From my tests only Super Contra generates graphics on 320 pixels. Gang Busters and Thunder Cross does not. You PCBs shows more ?

On the other hand - Suprise Attack also generates graphics on 320 pixels but I don't have any proof (real hardware, movies etc.)

User avatar
No.11839
system11
Senior Tester
Jul 5, 2015, 20:22
Yes, put Thundercross into test mode and it displays a larger grid than the normal drawable screen area, so you can see this in MAME too when the screen size is corrected.

I'm assuming Gang Busters is simply not drawing anything in there since it's the same PCB type with only minor differences.
User avatar
No.11873
haynor666
Tester
Jul 15, 2015, 19:44
I'm not so sure about Gang Busters but all other games have grid 320 pixels wide so maybe this game should have lower resolution?